6.5.30 Install with old mix of 03/06 Applications

For discussion of the IRIX OS and the software ecosystem surrounding it, including troubleshooting.
Post Reply
JacquesT
Posts: 124
Joined: Mon May 21, 2018 2:06 pm
Location: Somerset, UK

6.5.30 Install with old mix of 03/06 Applications

Post by JacquesT » Sun Jul 08, 2018 4:06 pm

Is it possible to do a base install of .30, then later install the newer '06 apps apart from those which have been replaced due to Adobe licensing? I'm thinking Acroread for one...

I'm not a fan of the open source replacements in 2006> applications, they are really slow on older hardware.

Or is it best to stick to .22 + patches all round on the O2?
:Octaneb: 1x 400Mhz R12k, 1Gb, V8, 6.5.30
:O2: 300Mhz R5200, 384Mb, 6.5.22m, FPA with :1600SW: [300Mhz R12k project in the works]

JacquesT
Posts: 124
Joined: Mon May 21, 2018 2:06 pm
Location: Somerset, UK

Re: 6.5.30 Install with old mix of 03/06 Applications

Post by JacquesT » Fri Jul 13, 2018 3:26 pm

Well I tried, and always ended up with a massive list of conflicts. I essentially tried installing .30 without the applications CD, this resulted in a non-desktop system, just basic 4dwm X environment with no desktop, toolchest etc.

I've stick with .22 on the O2, seems OK.
:Octaneb: 1x 400Mhz R12k, 1Gb, V8, 6.5.30
:O2: 300Mhz R5200, 384Mb, 6.5.22m, FPA with :1600SW: [300Mhz R12k project in the works]

User avatar
gijoe77
Posts: 222
Joined: Fri Jun 22, 2018 9:17 pm

Re: 6.5.30 Install with old mix of 03/06 Applications

Post by gijoe77 » Fri Jul 13, 2018 6:21 pm

there is a way to do it, I know hamie on nekochan did it. I haven't tried it yet (I'm ok with 6.5.22 - my most recent reinstall on my o2 stopped there, and I was pretty pissed insight got replaced with a web-browser at that point), but I think it will have to be a very selective install and using the "rules overide" option in swmgr

I was planning on trying to get to a 6.5.30 install while keeping insight(maybe the browser is ok...), adobe fonts and acroread, and I was still investigating what else I need to be weary of, but that's when nekochan went down so I'm sort of in a holding pattern at the moment...

User avatar
Trippynet
Posts: 55
Joined: Sat Dec 23, 2017 12:46 pm
Location: Aberdeen, Scotland, UK

Re: 6.5.30 Install with old mix of 03/06 Applications

Post by Trippynet » Sat Jul 14, 2018 12:12 pm

Bear in mind that some of the conflicts can be ignored, and you can test this by applying the override for Software Manager to install despite conflicts. I'd do one "old" application at a time this way however and test afterwards.
:Indigo2_IMP: R10000 195MHz, 384MB RAM, SolidIMPACT, 36GB 15k & 300GB 10k drives, new/quiet fans, IRIX 6.5.22
:Fuelb: R14000 600MHz, 4GB RAM, V10 Graphics, 72GB 15k & 300GB 10k drives, new/quiet fans, IRIX 6.5.30
:O2: in storage...

JacquesT
Posts: 124
Joined: Mon May 21, 2018 2:06 pm
Location: Somerset, UK

Re: 6.5.30 Install with old mix of 03/06 Applications

Post by JacquesT » Sat Jul 14, 2018 12:58 pm

Yeah I went through and selectively installed all the required applications, except for the newer ones I didn't want, but still ended up without a desktop. My patience wore thin after three attempts....:) Maybe a project for winter.
:Octaneb: 1x 400Mhz R12k, 1Gb, V8, 6.5.30
:O2: 300Mhz R5200, 384Mb, 6.5.22m, FPA with :1600SW: [300Mhz R12k project in the works]

User avatar
gijoe77
Posts: 222
Joined: Fri Jun 22, 2018 9:17 pm

Re: 6.5.30 Install with old mix of 03/06 Applications

Post by gijoe77 » Sun Jul 15, 2018 3:11 am

oh wait I dont think i understood you clearly - you want to do a fresh install of 6.5.30, leave off the apps you don't want to install then go in afterwards and do a "downgrade" install of the said packages? I'm not sure that's doable or trivial, I'm not surprised your having issues.

I did something like a 6.5.8 install, then selectively did a 6.5.22 install (as I said, i dun goofed and "upgraded" insight, but that's sort of a small penalty), and I was going to install 6.5.30 next and insure I don't upgrade the adobe fonts and acroread, and whatever else I can find that shouldn't be upgraded (still trying to figure that part out)

Post Reply